Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in WebKitGTK+
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in WebKitGTK+
ID: USN-3687-1
Distribution: Ubuntu
Plattformen: Ubuntu 16.04 LTS, Ubuntu 17.10, Ubuntu 18.04 LTS
Datum: Mo, 18. Juni 2018, 16:52
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12293
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4222
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4218
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4233
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4199
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4190
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4232
Applikationen: WebKitGTK+

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============3501817936635490182==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="sZIuaN7OWpK0Ypq3REwlQA67q4RV7FCD4"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--sZIuaN7OWpK0Ypq3REwlQA67q4RV7FCD4
Content-Type: multipart/mixed;
boundary="Asxh1WFAkRMhhfGTziRiTPljkcVqeQ58z";
protected-headers="v1"
From: Marc Deslauriers <marc.deslauriers@canonical.com>
Reply-To: Ubuntu Security <security@ubuntu.com>
To: ubuntu-security-announce@lists.ubuntu.com
Message-ID: <46f9f5fe-41d4-7087-badf-50fba71ef343@canonical.com>
Subject: [USN-3687-1] WebKitGTK+ vulnerabilities

--Asxh1WFAkRMhhfGTziRiTPljkcVqeQ58z
Content-Type: text/plain; charset=utf-8
Content-Language: en-C
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-3687-1
June 18, 2018

webkit2gtk vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 18.04 LTS
- Ubuntu 17.10
- Ubuntu 16.04 LTS

Summary:

Several security issues were fixed in WebKitGTK+.

Software Description:
- webkit2gtk: Web content engine library for GTK+

Details:

A large number of security issues were discovered in the WebKitGTK+ Web and
JavaScript engines. If a user were tricked into viewing a malicious
website, a remote attacker could exploit a variety of issues related to web
browser security, including cross-site scripting attacks, denial of service
attacks, and arbitrary code execution.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 18.04 LTS:
libjavascriptcoregtk-4.0-18 2.20.3-0ubuntu0.18.04.1
libwebkit2gtk-4.0-37 2.20.3-0ubuntu0.18.04.1

Ubuntu 17.10:
libjavascriptcoregtk-4.0-18 2.20.3-0ubuntu0.17.10.1
libwebkit2gtk-4.0-37 2.20.3-0ubuntu0.17.10.1

Ubuntu 16.04 LTS:
libjavascriptcoregtk-4.0-18 2.20.3-0ubuntu0.16.04.1
libwebkit2gtk-4.0-37 2.20.3-0ubuntu0.16.04.1

This update uses a new upstream release, which includes additional bug
fixes. After a standard system update you need to restart any applications
that use WebKitGTK+, such as Epiphany, to make all the necessary changes.

References:
https://usn.ubuntu.com/usn/usn-3687-1
CVE-2018-12293, CVE-2018-4190, CVE-2018-4199, CVE-2018-4218,
CVE-2018-4222, CVE-2018-4232, CVE-2018-4233

Package Information:
https://launchpad.net/ubuntu/+source/webkit2gtk/2.20.3-0ubuntu0.18.04.1
https://launchpad.net/ubuntu/+source/webkit2gtk/2.20.3-0ubuntu0.17.10.1
https://launchpad.net/ubuntu/+source/webkit2gtk/2.20.3-0ubuntu0.16.04.1


--Asxh1WFAkRMhhfGTziRiTPljkcVqeQ58z--

--sZIuaN7OWpK0Ypq3REwlQA67q4RV7FCD4
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUMSg3c8x5FLOsZtRZWnYVadEvpMFAlsnrxQACgkQZWnYVadE
vpOzGw//V8PKh9xynmQW4G2RecGmlZyNNbN7mvHtHTBIa5X1HlE2LIISCwoio6cZ
R4o1R0MsrIYoUaAArzy9saNHHDgwjvBpc0wkBtCPpTl+EWB8ggrTFAtad5nyxuog
sVE0FZZ+6c+QKDpm8GwCrPfmjHQOxvcEUXgJb5i7Kb5+WT7KPqEBEATMhosN3zpz
fR5KAGinuR7Uddd2Ik6EFJPsnCc8rEXNccsV4SB43q9pZ1LJhCcJwfXwQvzVj/17
y+RDIGmgcyUP/0pxqEj4Y7tBhr7PqbgMelBVwiuVoDno5J/x/+kKj+MnkqWJ/YBU
j5Uf+wIlhgglKtn3CsYbwyqLGYBicPL7I0ZC9hD1mtwIA7X1sfzSjagSfo8e8OZV
dxlFUNYI8v4FkZIDyWHx66Eplxd2I4gUjLu0lWTRKABlexWL636iMngQH3nCuT3e
SUhCVP7vfoptP4LBcoJvvX9JRF/994HD48UwITixHRu4SpdKFdLj2Tuj56HK+WS8
Wh+1xNG57Sq5RRGTtimkfNQjr04d16wl5aYlqw2382toX3UIrVIQs60ZYmTP0LHR
okA2AxszTrLbrWmja2B/iAk80SCKbD4mjPuSaXuZ3/6jcedsGe8TUTw5BsT+1bZq
rCGljbYeqNipTs3d2lNBmgoRqJPLVYBvjf8MF2Ye9t25zDrWuq0=
=32y0
-----END PGP SIGNATURE-----

--sZIuaN7OWpK0Ypq3REwlQA67q4RV7FCD4--


--===============3501817936635490182==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK

--===============3501817936635490182==--
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung